# eth\_sendRawTransaction

Creates new message call transaction or a contract creation for signed transactions.

This method will use `80` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_sendrawtransaction)

## **Parameters**

1. `DATA`, The signed transaction data.

```json
params: [
  "0xd46e8dd67c5d32be8d46e8dd67c5d32be8058bb8eb970870f072445675058bb8eb970870f072445675",
]
```

## Returns

`DATA`, 32 Bytes - the transaction hash, or the zero hash if the transaction is not yet available.

Use [eth\_getTransactionReceipt](https://docs.validationcloud.io/v1/ethereum/execution-api/eth_gettransactionreceipt) to get the contract address, after the transaction was mined, when you created a contract.

```json
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xe670ec64341771606e55d6b4ca35a1a6b75ee3d5145a99d05921026d1527331"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_sendRawTransaction","params":[{see above}],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_sendRawTransaction","params":[{see above}],"id":1}'

```

{% endtab %}
{% endtabs %}
